/**
 * @package 	WordPress
 * @subpackage 	Green Farm
 * @version 	1.0.0
 * 
 * WooCommerce RTL Rules
 * Created by CMSMasters
 * 
 */


.cmsmasters_star_rating .cmsmasters_star {
	margin-left: 0;
	margin-right: 2px;
	float: right;
}

.cmsmasters_star_rating .cmsmasters_star:first-child {
	margin-right: 0;
}

.cmsmasters_star_rating .cmsmasters_star_color_wrap {
	left: auto;
	right: 0;
}

.comment-form-rating .stars > span:before,
.comment-form-rating .stars > span a:before {
	text-align: center;
	left: auto;
	right: 0;
}

.comment-form-rating .stars > span a {
	left: auto;
	right: 0;
}

.input-checkbox,
.input-radio,
input.shipping_method {
	float: right;
	left: auto;
	right: 0;
}

.input-checkbox + label,
.input-radio + label,
input.shipping_method + label {
	padding-left: 0;
	padding-right: 25px;
}

.input-checkbox + label:before,
.input-radio + label:before,
input.shipping_method + label:before {
	left: auto;
	right: 1px;
}

.input-checkbox + label:after,
.input-radio + label:after,
input.shipping_method + label:after {
	left: auto;
	right: 5px;
}

label.checkbox {
	padding-left: 0;
	padding-right: 25px;
}

.woocommerce-message,
.woocommerce-info,
.woocommerce-error {
	float: none;
}

.woocommerce-message .button,
.woocommerce-info .button,
.woocommerce-error .button {
	margin-left: 30px;
}

table.variations .reset_variations {
	margin-left: 0;
	margin-right: 10px;
}

.single_variation_wrap .single_variation .stock {
	margin-left: 0;
	margin-right: 10px;
}

dl.variation dt {
	padding-left: 10px;
	padding-right: 0;
	float: right;
}

dl.variation dd {
	float: right;
}

.col2-set > * {
	float: right;
}

.form-row {
	float: right;
}

.form-row.form-row-wide,
.form-row.notes,
.form-row.place-order {
	float: none;
}

#page .remove {
	text-align: center;
}

.cmsmasters_woo_wrap_result .woocommerce-result-count {
	float: left;
}

.cmsmasters_woo_wrap_result .woocommerce-ordering {
	float: right;
}

.cmsmasters_products .product {
	float: right;
}

.cmsmasters_product .button_to_cart_wrap {
	left: auto;
	right: 0;
	text-align: center;
}

.cmsmasters_product .cmsmasters_product_inner {
	text-align: center;
}

.cmsmasters_product .cmsmasters_product_cat {
	text-align: center;
}

.cmsmasters_product .cmsmasters_product_info {
	text-align: center;
}

.cmsmasters_product .price del {
	margin-left: 5px;
	margin-right: 0;
}

.cmsmasters_single_product .cmsmasters_product_left_column {
	float: right;
}

.cmsmasters_single_product .cmsmasters_product_image {
	text-align: center;
}

.cmsmasters_single_product .cmsmasters_product_thumbs .cmsmasters_product_thumb {
	margin-left: 10px;
	margin-right: 0;
	text-align: center;
	float: right;
}

.cmsmasters_single_product .cmsmasters_product_right_column {
	padding-left: 0;
	padding-right: 30px;
	float: left;
}

.cmsmasters_single_product .price del {
	margin-left: 3px;
	margin-right: 0;
}

.cmsmasters_single_product .cart .single_add_to_cart_button {
	margin-left: 0;
	margin-right: 10px;
}

.shop_attributes th {
	padding-left: 10px;
	padding-right: 0;
}

.cmsmasters_woo_comments .cmsmasters_star_rating {
	float: left;
	margin-left: 0;
	margin-right: 15px;
}

.shop_table th,
.shop_table td {
	text-align: right;
}

.shop_table .product-thumbnail {
	padding-left: 20px;
	padding-right: 0;
}

.shop_table .actions {
	text-align: left;
}

.shop_table .actions .coupon {
	float: right;
}

.shop_table .actions .input-text {
	margin-left: 20px;
	margin-right: 1px;
}

.cart_totals table th,
.cart_totals table td {
	text-align: right;
}

.cart_totals table td {
	text-align: left;
	border-right-width: 1px;
	border-right-style: solid;
}

.cart_totals table input[type="checkbox"],
.cart_totals table input[type="radio"] {
	left: 0;
	right: auto;
	float: left;
}

.cart_totals table input[type="checkbox"] + label,
.cart_totals table input[type="radio"] + label {
	padding-left: 25px;
	padding-right: 0;
	float: left;
}

.cart_totals table input[type="checkbox"] + label:before,
.cart_totals table input[type="radio"] + label:before {
	left: 0;
	right: auto;
}

.cart_totals table input[type="checkbox"] + label:after {
	left: 3px;
	right: auto;
}

.cart_totals table input[type="radio"] + label:after {
	left: 4px;
	right: auto;
}

.woocommerce-checkout-payment .payment_methods label {
	float: none;
}

.woocommerce-checkout-payment .payment_methods .payment_box {
	padding-left: 0;
	padding-right: 25px;
}

.woocommerce-checkout-payment .place-order > * {
	float: none;
}

.woocommerce-checkout-payment .place-order .terms {
	padding-left: 0;
	padding-right: 25px;
}

.woocommerce-checkout-payment .place-order .terms label {
	padding-left: 0;
	padding-right: 5px;
}

.woocommerce-checkout-payment .place-order .terms .input-checkbox {
	float: none;
}

ul.order_details li {
	float: right;
}

.my_account_orders thead th {
	padding-right: 20px;
}

.my_account_orders td {
	padding-right: 20px;
}

.cmsmasters_dynamic_cart_wrap {
	margin-left: 0;
	margin-right: 6px;
	float: left;
}

.enable_header_centered .cmsmasters_dynamic_cart_wrap {
	float: none;
}

#page .cmsmasters_dynamic_cart .remove {
	left: 0;
	right: auto;
}

.cmsmasters_dynamic_cart .cmsmasters_dynamic_cart_button span:before {
	margin-left: 7px;
	margin-right: 0;
}

.cmsmasters_dynamic_cart .widget_shopping_cart_content {
	left: -5px;
	right: auto;
}

.cmsmasters_dynamic_cart .widget_shopping_cart_content:before {
	right: auto;
	left: 15px;
}

.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list li {
	padding-left: 75px;
	padding-right: 0;
}

.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list li:hover img {
	right: auto;
	left: 25px;
}

.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list img {
	left: 0;
	right: auto;
}

.cmsmasters_dynamic_cart .widget_shopping_cart_content .buttons .button {
	float: right;
}

.cmsmasters_added_product_info {
	left: 0;
	right: auto;
}

.cmsmasters_added_product_info .cmsmasters_added_product_info_img {
	float: right;
}

.cmsmasters_added_product_info .cmsmasters_added_product_info_text {
	padding-left: 0;
	padding-right: 15px;
}

.widget_layered_nav ul ul,
.widget_layered_nav_filters ul ul,
.widget_product_categories ul ul {
	padding-left: 0;
	padding-right: 10px;
}

.widget_product_categories ul li {
	padding-right: 27px;
}

.widget_product_categories ul li:before {
	left: auto;
	right: 1px;
}

.widget > .product_list_widget li {
	padding-left: 0;
	padding-right: 65px;
}

.widget > .product_list_widget img {
	left: auto;
	right: 0;
}

.widget > .product_list_widget del {
	margin-left: 3px;
	margin-right: 0;
}

#page .widget_shopping_cart .remove {
	left: 0;
	right: auto;
}

.widget_shopping_cart .cart_list li {
	padding-left: 25px;
	padding-right: 65px;
}

.widget_shopping_cart .cart_list img {
	left: auto;
	right: 0;
}

.widget_price_filter .ui-slider-handle {
	left: auto;
	right: 0;
}

.widget_price_filter .ui-slider-handle:last-child {
	left: auto;
	right: 100%;
	margin-left: 0;
	margin-right: -8px;
}

.widget_price_filter .price_slider_amount .button {
	float: left;
}

.widget_price_filter .price_slider_amount .price_label {
	padding-left: 10px;
	padding-right: 0;
}

.widget_product_tag_cloud a {
	margin-left: 4px;
	margin-right: 0;
}

.cmsmasters_products_shortcode .cmsmasters_products .product,
.cmsmasters_selected_products_shortcode .cmsmasters_products .product {
	float: right;
}

.cmsmasters_products_shortcode .columns-1 .cmsmasters_products .product,
.cmsmasters_selected_products_shortcode .columns-1 .cmsmasters_products .product {
	float: none;
}

.create-account .input-radio + label,
.create-account .input-checkbox + label {
	padding-left: 0;
	padding-right: 25px;
}

.login label.inline,
.register label.inline {
	margin-left: 0;
	margin-right: 10px;
}


html.csstransitions .cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list img {
	-webkit-transition: left .3s ease-in-out;
	-moz-transition: left .3s ease-in-out;
	-ms-transition: left .3s ease-in-out;
	-o-transition: left .3s ease-in-out;
	transition: left .3s ease-in-out;
}

